import React, { useEffect, useState } from "react";

interface TxtPreviewProps {
  fileUrl: string;
}

const TxtPreview: React.FC<TxtPreviewProps> = ({ fileUrl }) => {
  const [content, setContent] = useState("");

  useEffect(() => {
    fetch(fileUrl)
      .then((res) => res.text())
      .then(setContent);
  }, [fileUrl]);

  return (
    <pre style={{ maxWidth: 600, margin: "0 auto", background: "#f5f5f5", padding: 16, borderRadius: 8, whiteSpace: "pre-wrap" }}>
      {content}
    </pre>
  );
};

export default TxtPreview;
